aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-html
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-15 18:59:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:34 +0000
commit323941ca0717fe4f2b0381cc5f9ef030715c9836 (patch)
treeac2ca337a34833e2028aedf913a6d2ab531b3e1b /testing/py-html
parent12f818462c0853746f7b3cdb3b89dde31f1f89f9 (diff)
downloadaports-323941ca0717fe4f2b0381cc5f9ef030715c9836.tar.gz
aports-323941ca0717fe4f2b0381cc5f9ef030715c9836.tar.bz2
aports-323941ca0717fe4f2b0381cc5f9ef030715c9836.tar.xz
testing/py-html: new aport
A Python HTML, XHTML, and XML generation module http://pypi.python.org/pypi/html
Diffstat (limited to 'testing/py-html')
-rw-r--r--testing/py-html/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-html/APKBUILD b/testing/py-html/APKBUILD
new file mode 100644
index 0000000000..85c31bc2d6
--- /dev/null
+++ b/testing/py-html/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-html
+_pkgname=html
+pkgver=1.16
+pkgrel=0
+pkgdesc="A Python HTML, XHTML, and XML generation module"
+url="http://pypi.python.org/pypi/html"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="39b9db7cdcc84607828be021172d441f html-1.16.tar.gz"
+sha256sums="ebc768f23b54a71350d731a75f2ef3a4a4dbdad9ae68d58b527664b66088e456 html-1.16.tar.gz"
+sha512sums="fe2329775bc9154aafe2411adb893ce443d3e0875cfa0efa9a722c068578713d3cc123fc62e732215766b3bf7371777a173969100f3025b9f9c99b504482ea39 html-1.16.tar.gz"